<?php
/**
 * @package Kindergarten Learning
 */

function kindergarten_learning_customizer_add_defaults( $default_options) {
	$defaults = array(
		'kindergarten_learning_excerpt_length'    => 30,
	);
	$updated_defaults = wp_parse_args( $defaults, $default_options );

	return $updated_defaults;
}
add_filter( 'kindergarten_learning_customizer_defaults', 'kindergarten_learning_customizer_add_defaults' );

function kindergarten_learning_gtm( $option ) {
	$defaults = apply_filters( 'kindergarten_learning_customizer_defaults', true );

	return isset( $defaults[ $option ] ) ? get_theme_mod( $option, $defaults[ $option ] ) : get_theme_mod( $option );
}

if ( ! function_exists( 'kindergarten_learning_excerpt_length' ) ) :
	function kindergarten_learning_excerpt_length( $length ) {
		if ( is_admin() ) {
			return $length;
		}

		$length	= kindergarten_learning_gtm( 'kindergarten_learning_excerpt_length' );

		return absint( $length );
	} 
endif;
add_filter( 'excerpt_length', 'kindergarten_learning_excerpt_length', 999 );